server {
    listen 80;
    server_tokens off;
    server_name localhost default_server;
    set $root '/var/www/django_web_boilerplate_vps';
    access_log  /var/log/nginx/access.log;
    error_log  /var/log/nginx/error.log;
    client_max_body_size 3m;

    location = /robots.txt {
        alias $root/src/static/robots.txt;
    }

    location = /favicon.ico {
        empty_gif;
    }

    location ^~ /media/ {
        alias $root/src/media/;
        expires 7d;
    }

    location ^~ /static/ {
        alias $root/src/static/;
        expires 1d;
    }

    location / {
        include uwsgi_params;
        uwsgi_pass unix:$root/tmp/uwsgi.sock;
    }

}
